# -*-Mode: rpm-spec -*-

Name:            gtklock

%global forgeurl https://github.com/jovanlanik/%{name}

Version:         2.0.1
%forgemeta
Release:         3%{?dist}
Summary:         GTK-based lockscreen for Wayland

License:         GPL-3.0-only
URL:             %{forgeurl}
Source0:         %{forgesource}

%global module1  userinfo-module
%global version1 2.0.0
%global url1     https://github.com/jovanlanik/%{name}-%{module1}
Source1:         %{url1}/archive/refs/tags/v%{version1}.tar.gz#/%{name}-%{module1}-%{version1}.tar.gz

%global module2  playerctl-module
%global version2 2.0.1
%global url2     https://github.com/jovanlanik/%{name}-%{module2}
Source2:         %{url2}/archive/refs/tags/v%{version2}.tar.gz#/%{name}-%{module2}-%{version2}.tar.gz

%global module3  powerbar-module
%global url3     https://github.com/jovanlanik/%{name}-%{module3}
%global version3 2.0.1
Source3:         %{url3}/archive/refs/tags/v%{version3}.tar.gz#/%{name}-%{module3}-%{version3}.tar.gz

%global module4  runshell-module
%global version4 1.0.0
%global url4     https://gitlab.com/wef/%{name}-%{module4}
Source4:         %{url4}/-/archive/%{version4}/%{name}-%{module4}-%{version4}.tar.gz

%global module5  countdown-module
%global version5 1.0.0
%global url5     https://gitlab.com/wef/%{name}-%{module4}
Source5:         %{url5}/-/archive/%{version5}/%{name}-%{module5}-%{version5}.tar.gz

BuildRequires:   scdoc
BuildRequires:   make
BuildRequires:   gcc
Buildrequires:   /usr/bin/wayland-scanner
BuildRequires:   pkgconfig(pam)
BuildRequires:   pkgconfig(wayland-client)
BuildRequires:   pkgconfig(gtk+-wayland-3.0)
BuildRequires:   pkgconfig(gtk-layer-shell-0)
BuildRequires:   pkgconfig(gmodule-export-2.0)
BuildRequires:   pkgconfig(accountsservice)
BuildRequires:   pkgconfig(playerctl)
BuildRequires:   pkgconfig(libsoup-2.4)

%description
gtklock is a lockscreen based on gtkgreet. It uses the wlr-layer-shell and
wlr-input-inhibitor Wayland protocols. Works on sway and other wlroots-based
compositors.

For documentation, check out the man page and wiki at
https://github.com/jovanlanik/gtklock/wiki.

Includes modules:
%{module1}: Adds a user image and user name to the lockscreen.
%{url1}
%{module2}: Adds a mpris media player controller to the lockscreen. 
%{url2}
%{module3}: Adds a reboot and poweroff button to the lockscreen.
%{url3}
%{module4}: Adds text output from a script to the lockscreen.
%{url4}
%{module5}: Does a countdown on the lockscreen.
%{url5}

%prep
%autosetup
gzip -dc %{S:1} | tar xf -
gzip -dc %{S:2} | tar xf -
gzip -dc %{S:3} | tar xf -
gzip -dc %{S:4} | tar xf -
gzip -dc %{S:5} | tar xf -

%build
%make_build PREFIX="%{_prefix}"
cd %{name}-%{module1}-%{version1}
%make_build PREFIX="%{_prefix}"
cd ../%{name}-%{module2}-%{version2}
%make_build PREFIX="%{_prefix}"
cd ../%{name}-%{module3}-%{version3}
%make_build PREFIX="%{_prefix}"
cd ../%{name}-%{module4}-%{version4}
%make_build PREFIX="%{_prefix}"
cd ../%{name}-%{module5}-%{version5}
%make_build PREFIX="%{_prefix}"

%install
%make_install PREFIX="%{_prefix}"
cd %{name}-%{module1}-%{version1}
%make_install PREFIX="%{_prefix}"
cd ../%{name}-%{module2}-%{version2}
%make_install PREFIX="%{_prefix}"
cd ../%{name}-%{module3}-%{version3}
%make_install PREFIX="%{_prefix}"
cd ../%{name}-%{module4}-%{version4}
%make_install PREFIX="%{_prefix}"
cd ../%{name}-%{module5}-%{version5}
%make_install PREFIX="%{_prefix}"

%files
%{_bindir}
%{_pam_confdir}
%{_mandir}/man1
%{_prefix}/lib
%license LICENSE
%doc README.md

%changelog
* Sat Mar 11 2023 Bob Hepple <bob.hepple@gmail.com> - 2.0.1-3
- prepared for f37

* Sat Dec 31 2022 Jerzy DroÅ¼dÅ¼ <jerzy.drozdz@jdsieci.pl> - 2.0.1-2
- Added directory placeholder for modules

* Fri Dec 30 2022 Jerzy DroÅ¼dÅ¼ <jerzy.drozdz@jdsieci.pl> - 2.0.1-1
- Initial build
